For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
        • POSTCreate Resident Charge: Entrata
        • POSTCreate Recurring Charge: Entrata
        • POSTCreate Resident Payment: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataBilling and Payments

Get a resident charge by ID

GET
/v1/resident-charges/:resident_charge_id
GET
/v1/resident-charges/:resident_charge_id
$curl https://api.propexo.com/v1/resident-charges/resident_charge_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "allocations": [
13 {
14 "id": "clwktsp9v000008l31iv218hn",
15 "x_id": "allocX456",
16 "x_source_id": "sourceX123",
17 "x_destination_id": "destChargeX123",
18 "financial_account_id": null,
19 "amount_in_cents": 50000,
20 "amount_raw": "500.00",
21 "resident_charge_id": "string",
22 "resident_payment_id": "string",
23 "created_at": "2024-03-21T15:38:08.337Z",
24 "updated_at": "2024-03-22T10:59:45.119Z",
25 "last_seen": "2024-03-22T10:59:45.119Z",
26 "custom_data": {}
27 }
28 ],
29 "amount_in_cents": 150000,
30 "amount_open_in_cents": null,
31 "amount_open_raw": null,
32 "amount_paid_in_cents": 24420,
33 "amount_paid_raw": "244.2",
34 "amount_raw": "1500.00",
35 "charge_code_id": "cm7j9a8ge341143421413vylmf14xtvay",
36 "created_at": "2024-03-21T15:38:08.337Z",
37 "custom_data": {},
38 "description": "Rent for July 2024",
39 "due_date": "2024-06-01T00:00:00Z",
40 "financial_account_id": null,
41 "id": "clwktsp9v000008l31iv218hn",
42 "integration_id": "clwh5u07w000508me66sfh3um",
43 "integration_vendor": "ENTRATA",
44 "is_open": null,
45 "last_seen": "2024-03-22T10:59:45.119Z",
46 "lease_id": "cm7j9a8ge341143421413vylmf14xtvay",
47 "name": "Gross Potential Rent",
48 "post_month": "2024-02",
49 "property_id": "clwi5xiix000008l6ctdgafyh",
50 "reference_number": null,
51 "resident_id": "cl7t4tlme0000usxq5zk0e5gl",
52 "transaction_date": "2024-06-01T00:00:00Z",
53 "transaction_source": null,
54 "unit_id": "cm7j9a8ge341143421413vylmf14xtvay",
55 "updated_at": "2024-03-22T10:59:45.119Z",
56 "x_charge_code_id": "82821",
57 "x_gl_account_id": null,
58 "x_id": "transX123",
59 "x_lease_id": "lease123",
60 "x_location_id": null,
61 "x_property_id": "property456",
62 "x_resident_id": "resX123",
63 "x_unit_id": "5328279"
64 }
65}
The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Was this page helpful?
Previous

Get all recurring resident charges

Next
Built with

The Resident Charges model provides a limited, one-sided view of a resident’s financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident’s ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_charge_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error